
//Declaring the pins on the Arduino
const int Echo = 3;
const int trig = 7;
const int us = 5;

//Declaring and initializing the variables
int count = 0;
int drumVibrating = 0;
int waterFilled = 0;
long duration, inches, cm;
int error=0;
int avgVib=0;
int counter=0;


void setup() {
  Serial.begin(9600);
  pinMode(Echo, INPUT);//Ultrasound sensor
  pinMode(trig, OUTPUT);//Ultrasound sensor
  pinMode(us, INPUT); //set EP input for measurment
  pinMode(10,OUTPUT);
   pinMode(11,OUTPUT);
    pinMode(9,OUTPUT);


}
void loop() {
  // Ultrasound sensor
  digitalWrite(trig, LOW);
  delayMicroseconds(2);
  digitalWrite(trig, HIGH);
  delayMicroseconds(5);
  digitalWrite(trig, LOW);

  duration = pulseIn(Echo, HIGH);
  inches = microsecondsToInches(duration);
  cm = microsecondsToCentimeters(duration);

  if (inches<19){
    waterFilled=1;
    Serial.println("1");
    digitalWrite(10, HIGH);
  }else {
    waterFilled=0;
    Serial.println("0");
    digitalWrite(10, LOW);
  }



  // Reading the vibration sensor
  long measurement = Value();
  //Serial.println(measurement);
  avgVib=avgVib+measurement;
  counter=counter+1;
  if(counter>=3){
    if(avgVib>50){
      drumVibrating=1;
    }
    else if(avgVib<=50){
      count=count+1;
      drumVibrating=0;
    }
    counter=0;
    avgVib=0;
  }
 
if(drumVibrating == 1){
  digitalWrite(11, HIGH);
  Serial.print("1");
}else{
  digitalWrite(11, LOW);
  Serial.print("0");
}
if(error==1){
  digitalWrite(9, HIGH);
}else{
digitalWrite(9, LOW);
}

delay(1000);
}
long Value() {
  long measurement = pulseIn (us, HIGH); //wait for the pin to get HIGH and returns measurement
  return measurement;

}

long microsecondsToInches(long microseconds) {
  return microseconds / 74 / 2;
}

long microsecondsToCentimeters(long microseconds) {
  return microseconds / 29 / 2;
}


